#include <qtextbrowser.h>
#include "QLineEdit2.h"
#include <qstack.h>

class QTextBrowser2:public QWidget {
	Q_OBJECT

	QTextBrowser *browser;
	QLineEdit2 *qle;
	QStack<QString> history;
	QString home;
	
public:
	QTextBrowser2( QWidget *parent=0, const char *name=0 );
	~QTextBrowser2();

	virtual void setSource(const QString& name);
	virtual void setLSource(const QString& name);
	virtual void keyReleaseEvent ( QKeyEvent *e );
	virtual void setHome(QString str);

public slots:
	void gotoTop();
	void goBack();
	void newAddr();
	void bChanged();
};
