#include <stdio.h>
#include "qutil.h"
#include <qprogressdialog.h>
#include <qapplication.h>
#include <qmotifstyle.h>

void EMQInit(QApplication *app) {
QFont font;
QFontMetrics qfm(font);
QFont *newdf;

printf("%s\n",(const char *)font.rawName());
/*
if (qfm.lineSpacing()>15) {
	newdf=new QFont(QFont::defaultFont());
	newdf->setPointSize(9);
	QFont::setDefaultFont(*newdf);

}
*/

//#ifdef SGI
	font.setPixelSize(12);
	app->setFont(font);
//#endif

QStyle *qst = new QMotifStyle;	// QSGIStyle;
app->setStyle(qst);

printf("%s\n",(const char *)font.rawName());

}

// generic progress display routine with abort button
int doQprog(int num,int denom,const char *msg) {
static QProgressDialog *progress = NULL;

if (progress) {
	if (denom==0) {
		progress->setProgress(progress->totalSteps());
		delete progress;
		progress=NULL;
		return 0;
	}
	if (denom!=progress->totalSteps()) progress->setTotalSteps(num);
	progress->setProgress(num);
	if (progress->wasCancelled()) return 1;
	return 0;
}
progress = new QProgressDialog(msg,"Abort",denom,0,0,TRUE);
progress->setProgress(0);
progress->setProgress(num);
return 0;
}

